import { OnInit, AfterViewInit, AfterViewChecked, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { LocaleProviderService } from '../locale-provider/locale-provider.service';
import { ControlValueAccessor } from '@angular/forms';
export declare class SearchBarComponent implements OnInit, AfterViewInit, AfterViewChecked, OnDestroy, ControlValueAccessor {
    private _elementRef;
    private _localeProvider;
    prefixCls: string;
    clearCls: object;
    wrapCls: object;
    cancelCls: object;
    isComposing: boolean;
    private _defaultValue;
    private _value;
    private _placeholder;
    private _showCancelButton;
    private _cancelText;
    private _disabled;
    private _maxLength;
    private _focus;
    private _isSubmit;
    private _isCustomText;
    private _isClearClicking;
    private _syntheticPhContainerRef;
    private _syntheticPhRef;
    private _rightBtnRef;
    private _inputContainerRef;
    private _rightBtnInitMarginLeft;
    private _blurFromOnClear;
    private locale;
    private _unsubscribe$;
    inputElementRef: any;
    set defaultValue(value: string);
    get value(): string;
    set value(v: string);
    get placeholder(): string;
    set placeholder(value: string);
    get showCancelButton(): boolean;
    set showCancelButton(value: boolean);
    get cancelText(): string;
    set cancelText(value: string);
    get disabled(): boolean;
    set disabled(value: boolean);
    get maxLength(): number;
    set maxLength(value: number);
    set setFocus(value: any);
    onSubmit: EventEmitter<any>;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    onClear: EventEmitter<any>;
    private onChangeFn;
    private onTouchFn;
    constructor(_elementRef: ElementRef, _localeProvider: LocaleProviderService);
    setClass(): void;
    setStyle(): void;
    onSearchbarBlur(): void;
    onSearchbarFocus(): void;
    onSearchbarChange(e: any): void;
    onSearchSubmit(e: any): void;
    onSearchbarCancel(): void;
    onSearchbarClear(): void;
    onSetCompositionState(isComposing: boolean): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: (value: string) => void): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
}
