import { DoCheck, AfterContentInit, QueryList, ElementRef, TemplateRef, EventEmitter } from '@angular/core';
import { TabPaneComponent } from './tab-pane.component';
import { TabDirection, TabBarPositionType, TabsOnChangeEvent } from './PropsType';
export declare class TabsComponent implements DoCheck, AfterContentInit {
    prefixCls: string;
    selectedKey: number;
    keyToSelect: number;
    paneMoveStyle: string;
    private _startTime;
    private _startPosition;
    private _velocityThreshold;
    private _tabDirection;
    private _tabBarPosition;
    tabPanes: QueryList<TabPaneComponent>;
    tabContent: ElementRef;
    defaultTabBar: ElementRef;
    page: number;
    swipeable: boolean;
    useOnPan: boolean;
    animated: boolean;
    tabBarUnderlineStyle: object;
    distanceToChangeTab: number;
    tabTitleSize: number;
    tabBarActiveTextColor: string;
    tabBarInactiveTextColor: string;
    renderTabBar: TemplateRef<void>;
    tabBarBackgroundColor: string;
    prerenderingSiblingsNumber: number;
    tabBarTextStyle: object;
    /** should be removed when https://github.com/angular/angular/issues/20810 resolved **/
    tabPanesContent: QueryList<TabPaneComponent>;
    get activeTab(): number;
    set activeTab(value: number);
    get tabBarPosition(): TabBarPositionType;
    set tabBarPosition(position: TabBarPositionType);
    get tabDirection(): TabDirection;
    set tabDirection(direction: TabDirection);
    onChange: EventEmitter<TabsOnChangeEvent>;
    onTabClick: EventEmitter<TabsOnChangeEvent>;
    amTabs: boolean;
    amTabsTop: boolean;
    amTabsLeft: boolean;
    amTabsRight: boolean;
    amTabsBottom: boolean;
    amTabsVertical: boolean;
    amTabsHorizontal: boolean;
    constructor();
    clickTab(index: number): void;
    getCurrentTabPanes(): QueryList<TabPaneComponent>;
    onTouchStart(event: any): void;
    onTouchMove(event: any): void;
    onTouchEnd(event: any): void;
    ngAfterContentInit(): void;
    ngDoCheck(): void;
    private selectTabPane;
    private getVelocity;
}
